# 公司行動

`GET` `/v1/quote/company-act`

獲取指定證券的公司行動歷史，包括拆股、合並、分拆和配股等。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `AAPL.US` |
| `start_date` | string | No | 開始日期，格式 `YYYY-MM-DD` |
| `end_date` | string | No | 結束日期，格式 `YYYY-MM-DD` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/company-act?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `items` | object[] | Yes | 公司行動列表 |
| `└ id` | string | No | 公司行動 ID |
| `└ act_desc` | string | No | 公司行動描述 |
| `└ act_type` | string | No | 公司行動類型分類 |
| `└ action` | string | No | 公司行動代碼（如 `DividendExDate`） |
| `└ date` | string | No | 生效日期 |
| `└ date_str` | string | No | 簡短展示日期（MM.DD） |
| `└ date_type` | string | No | 日期類型標籤（如 Payment Date） |
| `└ date_zone` | string | No | 時區（如 EST） |
| `└ delay_content` | string | No | 延遲內容描述 |
| `└ is_delay` | boolean | No | 事件是否延遲 |
| `└ live` | boolean | No | 當前是否正在直播 |
| `└ recent` | boolean | No | 是否爲近期事件 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "items": [
      {
        "id": "622620",
        "action": "DividendExDate",
        "act_type": "Distribution Plan",
        "act_desc": "Cash dividend 0.27 USD",
        "date": "20260514",
        "date_str": "05.14",
        "date_type": "Payment Date",
        "date_zone": "EST",
        "delay_content": "",
        "is_delay": false,
        "recent": false,
        "live": null
      }
    ]
  }
}
```
